- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxAnimCurveFilterKeyReducer Class Reference

Search for all occurrences

## Detailed Description

Key reducing filter.

Filter to test if each key is really necessary to define the curve at a definite degree of precision. It filters recursively from the strongest difference first. All useless keys are eliminated.

Definition at line 561 of file fbxanimcurvefilters.h.

`#include <fbxanimcurvefilters.h>`

Inheritance diagram for FbxAnimCurveFilterKeyReducer:
[legend]

List of all members.

## Public Member Functions
| FbxAnimCurveFilterKeyReducer ()
| Constructor.
virtual | ~FbxAnimCurveFilterKeyReducer ()
| Destructor.
virtual const char * | GetName () const
| Get the name of the filter.
virtual bool | Apply (FbxAnimCurve **pCurve, int pCount)
| Apply filter on the given animation curve.
virtual bool | Apply (FbxAnimCurve &pCurve)
| Apply filter on an animation curve.
virtual void | Reset ()
| Reset the filter to its default parameters.
double | GetPrecision () const
| Get precision.
void | SetPrecision (double pPrecision)
| Set precision.
bool | GetKeySync () const
| Return `true` key sync is applied at the end.
void | SetKeySync (bool pKeySync)
| Set to `true` to apply key sync at the end.
## Exposed parent class methods.
virtual bool | Apply (FbxAnimStack *pAnimStack)
| Apply filter to all the curves stored in the animation stack.
virtual bool | Apply (FbxObject *pObj, FbxAnimStack *pAnimStack)
| Apply filter to all the animated properties of the object.
virtual bool | Apply (FbxAnimCurveNode &pCurveNode)
| Apply filter on all the curves of an animation curve node.

## Constructor & Destructor Documentation

FbxAnimCurveFilterKeyReducer | ( |  | ) |

Constructor.

virtual ~FbxAnimCurveFilterKeyReducer | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 568 of file fbxanimcurvefilters.h.

    {};

## Member Function Documentation

virtual const char* GetName | ( |  | ) | const `[virtual]`

Search for all occurrences

Get the name of the filter.

Returns:
  Pointer to name.

Reimplemented from FbxAnimCurveFilter.

virtual bool Apply | ( | FbxAnimStack * | pAnimStack | ) | `[inline, virtual]`

Search for all occurrences

Apply filter to all the curves stored in the animation stack.

Parameters:

  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Reimplemented from FbxAnimCurveFilter.

Definition at line 579 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pAnimStack); }

virtual bool Apply | ( | FbxObject * | pObj,
|  | FbxAnimStack * | pAnimStack
| ) |  | `[inline, virtual]`

Search for all occurrences

Apply filter to all the animated properties of the object.

Parameters:

  pObj | Object containing the animated properties to which the filter is applied.
  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Reimplemented from FbxAnimCurveFilter.

Definition at line 580 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pObj, pAnimStack); }

virtual bool Apply | ( | FbxAnimCurveNode & | pCurveNode | ) | `[inline, virtual]`

Search for all occurrences

Apply filter on all the curves of an animation curve node.

Parameters:

  pCurveNode | Curve node to which the filter is applied.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Remarks:
  This method collects all the FbxAnimCurve objects connected to the curve node and calls Apply(FbxAnimCurve**, int)

Reimplemented from FbxAnimCurveFilter.

Definition at line 581 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pCurveNode); }

virtual bool Apply | ( | FbxAnimCurve ** | pCurve,
|  | int | pCount
| ) |  | `[virtual]`

Search for all occurrences

Apply filter on the given animation curve.

Parameters:

  pCurve | Array of curve to which the filter is applied.
  pCount | Number of curves in array.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Reimplemented from FbxAnimCurveFilter.

virtual bool Apply | ( | FbxAnimCurve & | pCurve | ) | `[virtual]`

Search for all occurrences

Apply filter on an animation curve.

Parameters:

  pCurve | Curve to which the filter is applied.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Implements FbxAnimCurveFilter.

virtual void Reset | ( |  | ) | `[virtual]`

Search for all occurrences

Reset the filter to its default parameters.

Reimplemented from FbxAnimCurveFilter.

double GetPrecision | ( |  | ) | const

Search for all occurrences

Get precision.

void SetPrecision | ( | double | pPrecision | ) |

Search for all occurrences

Set precision.

Parameters:

  pPrecision | The precision to set.

bool GetKeySync | ( |  | ) | const

Search for all occurrences

Return `true` key sync is applied at the end.

void SetKeySync | ( | bool | pKeySync | ) |

Search for all occurrences

Set to `true` to apply key sync at the end.

Parameters:

  pKeySync | Key sync flag.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimcurvefilters.h

FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer
FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer FbxAnimCurveFilterKeyReducer